﻿@model UpdateTopicViewModel

<div class="card-text shadow border-0 mt-4">
    <div class="card-header bg-primary ml-0 p-3">
        <div class="row">
            <div class="col-6 text-end">
                <h2 class="text-white py-2">@Model.Name</h2>
            </div>
            <div class="col-6 mt-3 text-end">
                <a asp-controller="Topic" asp-action="AddQuestion" asp-route-topicId="@Model.Id" asp-route-topicName="@Model.Name" class="btn btn-secondary">
                    <i class="bi bi-plus-lg"></i> New Question
                </a>
            </div>
        </div>
    </div>
    <div class="card-body p-3">
        <form asp-action="UpdateTopicTitle" method="post">
            <input asp-for="Id" hidden/>
            <div class="row">
                <div asp-validation-summary="ModelOnly" class="text-danger" role="alert"></div>
                <div class="form-floating col-md-11 mb-3">
                    <input asp-for="Name" class="form-control" aria-required="true"/>
                    <span asp-validation-for="Name" class="text-danger"></span>
                    <label class="ms-2">Topic title</label>
                </div>
                <div class="col-md-1 text-end">
                    <button type="submit" title="Save" class="btn btn-lg btn-primary">
                        <i class="fa fa-save p-2 d-flex text-center"></i>
                    </button>
                </div>
            </div>
        </form>
        
        <h4 class="divider-text d-flex py-3">Questions</h4>
        <form asp-action="UpdateQuestion" method="post">
            <div class="row">
                <div class="list-group ps-3">
                    <div class="accordion" id="accordionExample">
                        <div class="accordion-item">

                            @if (@Model.Questions != null)
                            {
                                foreach (var question in @Model.Questions)
                                {
                                    <div class="row">
                                        <h2 class="accordion-header col-md-10" id="headingOne">
                                            <button class="accordion-button collapsed border-bottom" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne-@question.Id" aria-expanded="false" aria-controls="collapseOne">
                                                @question.Title
                                            </button>
                                        </h2>

                                        <div class="col-md-1">
                                            <a asp-controller="Topic" asp-action="UpdateQuestion"
                                               asp-route-topicId="@Model.Id"
                                               asp-route-topicName="@Model.Name"
                                               asp-route-questionId="@question.Id"
                                               title="Edit" class="btn btn-lg btn-primary d-flex text-center ms-3">
                                                <i class="bi bi-pencil-square pb-1 px-2"></i>
                                            </a>
                                        </div>
                                        <div class="col-md-1">
                                            <a asp-controller="Topic" asp-action="DeleteQuestion"
                                               asp-route-topicId="@Model.Id"
                                               asp-route-topicName="@Model.Name"
                                               asp-route-questionId="@question.Id"
                                               title="Delete" class="btn btn-lg btn-primary d-flex text-center ms-3">
                                                <i class="bi bi-trash-fill"></i>
                                            </a>
                                        </div>

                                        <div id="collapseOne-@question.Id" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                            @if (question.QuestionAnswers != null)
                                            {
                                                if (question.Details != null)
                                                {
                                                    <h5 class="m-2">Has Details</h5>
                                                }

                                                foreach (var questionAnswer in question.QuestionAnswers)
                                                {
                                                    <div class="accordion-body form-floating col-md-11">
                                                        <input class="form-control bg-white" value="@questionAnswer.Message" disabled aria-required="true"/>
                                                        <label class="ms-2">
                                                            @if (questionAnswer.CorrectAnswer)
                                                            {
                                                                @Html.Raw("Correct answer")
                                                            }
                                                            else
                                                            {
                                                                @Html.Raw("Dump answer")
                                                            }
                                                        </label>
                                                    </div>
                                                }
                                            }
                                        </div>
                                    </div>
                                }
                            }
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>